{% extends "dialog.html" %}

{% load applications_tags %}

{% block dialog_attrs %} id="deleteApplicationDialog" class="confirmation"{% endblock %}

{% block header %}Delete application?{% endblock %}

{% block body %}
    This will <em>permanently and irreversibly</em> delete the application.<br/>

    Here's a preview of the email that will be sent to {{ application.first_name }}.
    <p class="email-preview">Subject: {{ application|rejection_mail_subject }}
    {{ application|rejection_mail_body }}</p>
{% endblock %}

{% block buttons %}
    <form method='post' id='deleteApplicationWithoutEmailForm' class="gap-after" action='{% url "application_delete" pk=application.pk %}'>
        {% csrf_token %}
        <input type="hidden" name="send_email" value="false">
        <button class="button">Delete without email</button>
    </form>
    <form method='post' id='deleteApplicationForm' action='{% url "application_delete" pk=application.pk %}'>
        {% csrf_token %}
        <input type="hidden" name="send_email" value="true">
        <button class="button button-primary">Delete</button>
    </form>
{% endblock %}
